directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Emmanuel L├ęcharny <elecha...@gmail.com>
Subject [Studio] Lambda and Java 8 requirement
Date Wed, 26 Jul 2017 10:38:42 GMT
Hi guys,


recently, some changes in Studio makes it require Java 8 :


+                    // Handle referral
+                    Consumer<ReferralHandlingData> consumer = referralHandlingData
-> {
+                        referralHandlingData.connectionWrapper.modifyEntry( referralHandlingData.referralDn,
+                            modificationItems, controls, monitor, referralHandlingData.newReferralsInfo
);
+                    };

(http://svn.apache.org/viewvc/directory/studio/trunk/plugins/connection.core/src/main/java/org/apache/directory/studio/connection/core/io/api/DirectoryApiConnectionWrapper.java?view=diff&r1=1782685&r2=1782686&pathrev=1782686)

This was done in february 2017.

I'm all ok with using Java 8 and lambda, it makes the code way easier to read, but we need
to make it clear that the next version of Studio is going to use Java 8 
(currently, we support java 7).

I think we might also want to move to Java 8 for teh API and ApacheDS? bt that is another
discussion to have.


So I just want to state this fact : Studio *is* going to use Java 8 starting from 2.0.0-M13.

Does anyone has a problem with that ?

Many thanks !

-- 
Emmanuel Lecharny

Symas.com
directory.apache.org


Mime
View raw message